Mail archive
alpine-devel

Re: [alpine-devel] [PATCH] testing/exim: upgrade to 4.84, add SPF support, made some tidying to work out of box

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Mon, 1 Dec 2014 11:12:31 +0100

On Thu, 27 Nov 2014 17:26:58 +0200
"Valery Kartel" <valery.kartel_at_gmail.com> wrote:

> ---
> testing/exim/APKBUILD | 40 +++++++++++++++++++++++-----------------
> testing/exim/exim.Makefile | 8 ++++----
> testing/exim/exim.initd | 2 +-
> testing/exim/exim.logrotate | 2 +-
> 4 files changed, 29 insertions(+), 23 deletions(-)
>
> diff --git a/testing/exim/APKBUILD b/testing/exim/APKBUILD
> index 7aad8b7..fa46dce 100644
> --- a/testing/exim/APKBUILD
> +++ b/testing/exim/APKBUILD
> _at_@ -1,14 +1,14 @@
> # Contributor: Jesse Young <jlyo_at_jlyo.org>
> # Maintainer: Jesse Young <jlyo_at_jlyo.org>
> pkgname=exim
> -pkgver=4.82
> +pkgver=4.84
> pkgrel=0
> pkgdesc="A Message Transfer Agent"
> url="http://www.exim.org/"
> arch="all"
> license="GPL2"
> -depends="openssl"
> -depends_dev="db-dev pcre-dev openssl-dev"
> +depends="openssl libspf2"

I think I was too quick to push it.

>>> exim*: Tracing dependencies...
        openssl
        libspf2
        so:libc.musl-x86_64.so.1
        so:libcrypto.so.1.0.0
        so:libdb-5.3.so
        so:libpcre.so.1
        so:libspf2.so.2
        so:libssl.so.1.0.0
>>> exim*: Package size: 1.4 MB

so:libspf2.so.2 is there so libspf2 it should not be added to depends.

or am i missing something?

-nc


---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 01 2014 - 11:12:31 GMT